#!/bin/sh

echo "EASYSET CO Ltd"
echo "EASYSET CUPS DRIVER V1.0.0 Installer"
echo "---------------------------------------"
echo ""
echo ""

#ROOT_UID=0
ROOT_NAME=root
USER_NAME='id -nu'

#if [ "$UID" -eq "$ROOT_UID" ]
if [ "$USER_NAME" = "ROOT_NAME" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying EASYSET Printer filter..."
    sudo chmod +x ./CUPS
    sudo cp ./CUPS /usr/bin/rastertopbp
    sudo chmod 755 /usr/bin/rastertopbp
echo ""

echo "Creating Symbolic Link...."
    sudo ln -s /usr/bin/rastertopbp /usr/lib/cups/filter/rastertopbp
    sudo chmod 755 /usr/lib/cups/filter/rastertopbp
echo ""


if [ -x /etc/init.d/cupsys ]
then
    if [ -r /etc/debian_version ]
    then
        if [ -r /etc/lsb-release ]
        then
             sudo cp -r ./easyset /usr/share/cups/model/
             sudo chmod 755 /usr/share/cups/model/easyset/*
        else
             sudo cp -r ./easyset /usr/share/ppd/ 
             sudo chmod 755 /usr/share/ppd/easyset/*
             
        fi
    else
         sudo cp -r ./easyset /usr/share/cups/model/
         sudo chmod 755 /usr/share/cups/model/easyset/*
         
    fi
else
    if [ -r /etc/debian_version ]
    then
         sudo cp -r ./easyset /usr/share/cups/model/
         sudo chmod 755 /usr/share/cups/model/easyset/*
        
    else
         sudo cp -r ./easyset /usr/share/cups/model/
         sudo chmod 755 /usr/share/cups/model/easyset/*
        
    fi
fi 
echo ""

echo "Restarting CUPS"
    if [ -x /etc/software/init.d/cups ]
    then
        sudo /etc/software/init.d/cups stop
        sudo /etc/software/init.d/cups start
    elif [ -x /etc/rc.d/init.d/cups ]
    then
        sudo /etc/rc.d/init.d/cups stop
        sudo /etc/rc.d/init.d/cups start
    elif [ -x /etc/init.d/cups ]
    then
        sudo /etc/init.d/cups stop
        sudo /etc/init.d/cups start
    elif [ -x /sbin/init.d/cups ]
    then
        sudo /sbin/init.d/cups stop
        sudo /sbin/init.d/cups start
    elif [ -x /etc/software/init.d/cupsys ]
    then
        sudo /etc/software/init.d/cupsys stop
        sudo /etc/software/init.d/cupsys start
    elif [ -x /etc/rc.d/init.d/cupsys ]
    then
        sudo /etc/rc.d/init.d/cupsys stop
        sudo /etc/rc.d/init.d/cupsys start
    elif [ -x /etc/init.d/cupsys ]
    then
        sudo /etc/init.d/cupsys stop
        sudo /etc/init.d/cupsys start
    elif [ -x /sbin/init.d/cupsys ]
    then
        sudo /sbin/init.d/cupsys stop
        sudo /sbin/init.d/cupsys start
    else
        echo "Could not restart CUPS"
    fi
    sudo service cups stop
    sudo service cups start
echo ""

echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""
